<?php
/**
 * Agreeme Checkboxes for WooCommerce - Order Display Class
 *
 * @version 1.0.0
 * @since   1.0.0
 * @author  Amin Yasser.
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

if ( ! class_exists( 'argwc_Orderdisplay' ) ) :

class argwc_Orderdisplay {

	/**
	 * Constructor.
	 *
	 * @version 1.0.0
	 * @since   1.0.0
	 */
	function __construct() {
		
		add_action( 'woocommerce_admin_order_data_after_order_details', array( $this, 'add_agrwc_meta_admin_order' ), PHP_INT_MAX );
		
		add_action( 'woocommerce_email_after_order_table',                 array( $this, 'add_agrwc_meta_to_emails' ), PHP_INT_MAX, 2 );
		if ( 'yes' === agrwc_get_option( 'add_to_order_received', 'yes' ) ) {
			///add_action( 'woocommerce_order_details_after_order_table',     array( $this, 'add_custom_fields_to_view_order_and_thankyou_pages' ), PHP_INT_MAX );
		}
	}



function add_agrwc_meta_admin_order( $order ){


		$cbxs   = AGRWC_CBX::get_cbxs();
		$show_cbx=array();
		//loop through all...
		
		foreach($cbxs as $id=>$cbx)
		{
			$location_arr=$cbx->get_olocations();
			
		if(in_array(1,$location_arr)) //product page addtocart button
			{
$show_cbx[]=$id;
			}				
			
		}
	
?>
    <br class="clear" />
    <h4><?php echo __( 'Agree to', 'agreeme-checkbox-for-woocommerce' );?> </h4>
    <?php 
        /*
         * get all the meta data values we need
         */ 
        $custom_field_value = get_post_meta( $order->id );
	
		foreach($custom_field_value as $key=>$val)
{
	
	if(strstr($key,"agrwc_"))
	{
		$keysarr=explode("_agrwc_",$key);
		
		if(!in_array($keysarr[1],$show_cbx))continue;
		   $allowed_html = array('a' => array('href' => array(),), 'br' => array(),);

    ?>
    <div class="custom_field">
        <p> <?php  echo esc_html($keysarr[1]) . ' : ' . wp_kses($val[0],$allowed_html) . '<br/>'; ?></p>
    </div>


<?php
	}
}
}

function add_agrwc_meta_to_emails( $order ){
	
	
			$cbxs   = AGRWC_CBX::get_cbxs();
		$show_cbx=array();
		//loop through all...
		
		foreach($cbxs as $id=>$cbx)
		{
			$location_arr=$cbx->get_olocations();
			
		//if(in_array(2,$location_arr)) //product page addtocart button
			//{
$show_cbx[]=$id;
			//}				
			
		}

$op ='';

        /*
         * get all the meta data values we need
         */ 
        $custom_field_value = get_post_meta( $order->id );
		
	
		foreach($custom_field_value as $key=>$val)
{

	if(strstr($key,"agrwc_"))
	{
	
		$keysarr=explode("_agrwc_",$key);
		
		if(in_array(trim($keysarr[1]),$show_cbx))
		{
    $allowed_html = array('a' => array('href' => array(),), 'br' => array(),);
	
   $op .=' <div class="custom_field"><p>'. wp_kses($val[0],$allowed_html) . '<br/></p> </div>';



		}
	}
}


if($op) echo '<br class="clear" /><h4>'.__( 'Agree to:', 'agreeme-checkbox-for-woocommerce' ).' </h4>'.$op;
  
}




	/**
	 * get_order_id.
	 *
	 * @version 1.0.0
	 * @since   1.0.0
	 */
	function get_order_id( $_order ) {
		if ( ! $_order || ! is_object( $_order ) ) {
			return 0;
		}
		if ( ! isset( $this->is_wc_version_below_3_0_0 ) ) {
			$this->is_wc_version_below_3_0_0 = version_compare( get_option( 'woocommerce_version', null ), '3.0.0', '<' );
		}
		return ( $this->is_wc_version_below_3_0_0 ? $_order->id : $_order->get_id() );
	}



}

endif;

return new argwc_Orderdisplay();
